package com.ruoyi.common.importExcel.excel.helper;


import static com.ruoyi.common.importExcel.excel.OperationEnum.INSERT;

import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.project.common.domain.CheckVO;
import lombok.Data;

/**
 * 导入的基本配置数据
 */
@Data
@ExcelSheetInfo()
public class BasicExcelHelper {

    // 操作类型,除非特殊情况都是新增
    private String operation = INSERT.getName();

    // 用于区分导入的表格（用于多个excel在一个导入中上传的情况）
    private String tableName;

    private String sheetName;

    // 标志是否高亮显示，
    private Boolean highLighted = false;

    //验证时携带的参数
    private CheckVO checkVO;

    private int rowNum;

}
