package com.ruoyi.common.importExcel.excel.tempInfo;


import cn.hutool.core.lang.Dict;
import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.common.importExcel.excel.helper.BasicExcelHelper;
import lombok.Data;

@Data
@ExcelSheetInfo(titleRow = 1, dataRowStart = 2)
public class ElevatorParaInfoHelper extends BasicExcelHelper {

    //客户信息
    @ExcelSheetColumn(index = 0, colName = "参数编码", maxLength = 60)
    private String paraCode;
    @ExcelSheetColumn(index = 1, colName = "参数名称", maxLength = 200 )
    private String paraName;
    @ExcelSheetColumn(index = 2, colName = "默认值", maxLength = 20,notBlank = false)
    private String defaultVal;
    @ExcelSheetColumn(index = 3, colName = "参数取值范围",notBlank = false)
    private String selectItemStr;

    private Long elevatorModelId;

}
