package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 tb_sales_discount
 *
 * @author ruoyi
 * @date 2024-05-14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TbSalesDiscount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 角色id
     */
    @Excel(name = "角色id")
    private Long roleId;

    /**
     * 折扣最小值
     */
    @Excel(name = "折扣最小值")
    private BigDecimal minDiscount;

    /**
     * 折扣最大值
     */
    @Excel(name = "折扣最大值")
    private BigDecimal maxDiscount;

    /**
     * 删除标记（0：启用  1：停用）
     */
    @TableLogic(delval = "1", value = "0")
    private String delFlag;

}
