package com.ruoyi.project.business.domain.dto;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.project.business.domain.TqSpecificationSurcharge;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author renzx
 * @Date 2024/8/9
 * @Description 报价 -> 附加费用
 **/
@Data
public class TqSpecificationSurchargeDto extends TqSpecificationSurcharge {
    /**
     * 电梯编码
     */
    @Excel(name = "电梯编码")
    private String elevatorCode;

    /**
     * 电梯型号
     */
    private String elevatorModel;

    /**
     * 规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数)
     */
    @Excel(name = "规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数)")
    private String specification;

    /**
     * 电梯数量
     */
    @Excel(name = "电梯数量")
    private Long elevatorNumber;

    /**
     * 价格
     */
    @Excel(name = "价格")
    private BigDecimal price;
}
