package com.ruoyi.project.business.domain.vo.board;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import lombok.Data;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

/**
 * @Author renzx
 * @Date 2024/8/29
 * @Description 新终端客户成单统计
 **/
@Data
public class AccountCompleteOrderVo {
    /** 区域 */
    @Excel(name = "区域")
    private String areaName;
    /** 国家 */
    @Excel(name = "国家")
    private String countryName;
    /** 城市 */
    @Excel(name = "城市")
    private String city;
    /** 客户名 */
    @Excel(name = "客户名")
    private String accountName;
    /** 年度采购台量 */
    @Excel(name = "年度采购台量")
    private Integer annualProcurementQty ;
    /** 出货台数 */
    @Excel(name = "出货台数")
    private Integer shippedQty;
    /** 出货金额 */
    @Excel(name = "出货金额",align = HorizontalAlignment.RIGHT)
    private String shippedPrice;

    /** 区域ID */
    private Long areaId;
    /** 国家ID */
    private Long countryId;
    /** 客户所有代理商 */
    private Long accountId;
}
