package com.ruoyi.project.business.domain.vo.board;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import lombok.Data;

import java.util.List;

@Data
public class AgentTargetProgressVo {
    /** 区域 */
    @Excel(name = "区域")
    private String areaName;
    /** 国家 */
    @Excel(name = "国家")
    private String countryName;
    /** 城市 */
    @Excel(name = "城市")
    private String city;
    /** 代理商名 */
    @Excel(name = "代理商名")
    private String agentName;
    /** 年度销售目标台数 */
    @Excel(name = "年度销售目标台数")
    private Integer targetElevatorCount;
    /** 代理商等级（关联字典表）*/
    @Excel(name = "代理商等级", dictType = "agent_level", i18nCode = "agent.agentLevel")
    private String agentLevel;
    /** 出货台数 */
    @Excel(name = "出货台数")
    private Integer shippedQty;
    /** 目标完成率 */
    @Excel(name = "目标完成率")
    private Integer targetCompletionRate;

    /** 区域ID */
    private Long areaId;
    /** 国家ID */
    private Long countryId;
    /** 代理商 */
    private Long agentId;

    /** 年份 */
    private String yearParam;

    private String week;
}
