package com.ruoyi.project.business.domain.vo.quotation;

import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import lombok.Data;

@Data
public class QuotationApprovalVO {

    private Long id;

    @ApiModelProperty("项目名")
    private String projectName;

    @ApiModelProperty("报价金额")
    private BigDecimal price;

    private String priceStr;

    @ApiModelProperty("国家")
    private String countryName;

    @ApiModelProperty("议价金额")
    private BigDecimal bargainPrice;

    private String bargainPriceStr;

    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("申报人")
    private String nickName;

    private String currencyName;
}
