package com.ruoyi.project.business.domain.vo.quotation;

import com.ruoyi.project.business.domain.TqBargainPrice;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.List;

import lombok.Data;

@Data
public class QuotationPriceVO {

    @ApiModelProperty(value = "议价id")
    private Long bargainId;

    @ApiModelProperty(value = "价格合计")
    private BigDecimal priceTotal;

    private String priceTotalFormat;

    private BigDecimal originalBasicPrice;

    @ApiModelProperty(value = "基准价格合计")
    private BigDecimal basicPrice;

    private String basicPriceFormat;

    @ApiModelProperty(value = "选配加价合计")
    private BigDecimal optionalPrice;

    private BigDecimal originalOptionalPrice;

    private BigDecimal originalPriceTotal;

    private String optionalPriceFormat;

    @ApiModelProperty(value = "希望价格")
    private BigDecimal expectedPrice;

    private List<TqBargainPrice> bargainPriceList;

    private String currency;

    private Boolean discountFlag;

    private String expectedPriceFormat;

    @ApiModelProperty(value = "折率（希望价格）")
    private String expectedRate;

    @ApiModelProperty(value = "基价折率（希望价格）")
    private String expectedBasicRate;

    // @ApiModelProperty(value = "价格合计（折后价格）")
    // private String discountPrice;
    //
    // @ApiModelProperty(value = "基价折率（折后价格）")
    // private String discountRate;

}
