package com.ruoyi.project.business.domain.vo.train;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import com.ruoyi.project.business.domain.train.TtTrainTarget;
import com.ruoyi.project.system.domain.SysRole;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 【请填写功能名称】对象 tt_train_target
 *
 * @author ruoyi
 * @date 2024-06-18
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TtTrainTargetVo extends TtTrainTarget {
    /**
     * 角色名
     */
    private String roleNames;

    /** select 所属部门 */
    private String deptId;

    /**
     * 角色对象
     */
    @TableField(exist = false)
    private List<SysRole> roles;

    /**
     * 所属
     */
    private String agentName;

    /**
     * 昵称
     */
    private String nickName;
}
