package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.train.TtFileDatabase;
import com.ruoyi.project.business.domain.vo.train.FileDataVisibleRangeVo;
import com.ruoyi.project.business.domain.vo.train.FileDatabaseReq;
import com.ruoyi.project.business.domain.vo.train.FileDatabaseRes;

import java.util.List;

/**
 * @author fangk
 * @description 针对表【tt_file_database】的数据库操作Mapper
 * @createDate 2024-05-20 15:28:25
 * @Entity com.ruoyi.project.business.domain.train.TtFileDatabase
 */
public interface TtFileDatabaseMapper extends BaseMapper<TtFileDatabase> {

    /**
     * 列表查询
     *
     * @param req 查询条件
     */
    List<FileDatabaseRes> selectTtFileDatabaseList(FileDatabaseReq req);

    int editVisibleRange(FileDataVisibleRangeVo vo);

    TtFileDatabase selectTtFileDatabaseById(Long trainId);
}




