package com.ruoyi.project.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 聊天记录日期组对象 message_chat_group
 *
 * @author jubs
 * @date 2024-05-14
 */
@Getter
@Setter
public class MessageChatGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 聊天室id
     */
    @Excel(name = "聊天室id")
    private Long messageChatId;

    /**
     * 聊天日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "聊天日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date chateDate;

    /**
     * 删除标记
     */
    private String delFlag;


}
