package com.ruoyi.project.common.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author lidl
 */
@Data
public class ExclusiveDto {


    private Long id;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;


    private String tableName;

    private String idFieldName;

    public ExclusiveDto(){

    }

    public ExclusiveDto(Long id, Date updateTime, String idFieldName , String tableName){
        this.id = id;
        this.updateTime = updateTime;
        this.tableName = tableName;
        this.idFieldName = idFieldName;
    }

    public ExclusiveDto(Long id, Date updateTime){
        this.id = id;
        this.updateTime = updateTime;
    }

    public ExclusiveDto(String idFieldName , String tableName){
        this.tableName = tableName;
        this.idFieldName = idFieldName;
    }

}
