package com.ruoyi.project.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.common.domain.MessageChatContent;
import com.ruoyi.project.common.dto.MessageChatContentDto;
import com.ruoyi.project.common.mapper.MessageChatContentMapper;
import com.ruoyi.project.common.service.IMessageChatContentService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 聊天记录Service业务层处理
 *
 * @author jubs
 * @date 2024-05-14
 */
@Service
public class MessageChatContentServiceImpl extends ServiceImpl<MessageChatContentMapper, MessageChatContent> implements IMessageChatContentService {
    @Resource
    private MessageChatContentMapper messageChatContentMapper;


    @Override
    public List<MessageChatContentDto> getMessageChatContentList(Long chatRoomId) {
        return messageChatContentMapper.getMessageChatContentList(chatRoomId);
    }

    @Override
    public List<MessageChatContentDto> getMessageChatContentListPage(Long chatRoomId) {
        return messageChatContentMapper.getMessageChatContentListPage(chatRoomId);
    }

    @Override
    public List<MessageChatContentDto> getContentByUserIds(List<Long> userIds) {
        return messageChatContentMapper.getContentByUserIds(userIds);
    }
}
