import request from '@/config/request.js';

export const projectList = (params) => request.get('/business/project/listApp', params)

export const projectApprove = (data) => request.put('/business/project/approve', data)



export const bargainList = (params) => request.get('/business/quotation/approval/list', params)


export const bargainById = (id) => request.get('/business/quotation/approval/detail/' + id)

export const contractList = (params) => request.get('/business/contract/list-app', params)

export const contractById = (id) => request.get('/business/contract/getContractById/' + id)

export const contractLiftByNo = (no) => request.get('/business/lift/list?contractNo=' + no)
// 获取销售折扣价格
export const getSalesDiscount = (quotationId) => request.get('/business/quotation/salesDiscount/' + quotationId)

export const audit = (data) => request.post('/system/flow/audit', data)

export const getAuditHistory = (params) => request.get('/system/flow/getAuditHistory', params)

// 根据字典类型查询字典数据信息

export const getDicts = (dictType) => request.get('/system/dict/data/type/' + dictType)
