package com.ruoyi.common.importExcel.excel.helper;

import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 导入的基本配置数据
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ExcelSheetInfo()
public class BasicTableInfoHelper extends BasicExcelHelper {

    @ExcelSheetColumn(index = 0, colName = "表名")
    private String tableName;

    @Override
    public String getTableName() {
        return tableName;
    }

    @Override
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

}
