package com.ruoyi.common.importExcel.excel.tempInfo;


import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.common.importExcel.excel.helper.BasicExcelHelper;
import lombok.Data;

@Data
@ExcelSheetInfo(titleRow = 0, dataRowStart = 1)
public class TrainQuestionHelper extends BasicExcelHelper {

    //客户信息
    @ExcelSheetColumn(index = 0, colName = "题目类型", dictKey = "train_question_type")
    private String questionType;
    @ExcelSheetColumn(index = 1, colName = "题目名称")
    private String questionContext;
    @ExcelSheetColumn(index = 2, colName = "分值")
    private String score;
    @ExcelSheetColumn(index = 3, colName = "标准答案", maxLength = 100)
    private String correctAnswer;
    @ExcelSheetColumn(index = 4, colName = "选择项1", notBlank = false, maxLength = 100)
    private String option1;
    @ExcelSheetColumn(index = 5, colName = "选择项2", notBlank = false, maxLength = 100)
    private String option2;
    @ExcelSheetColumn(index = 6, colName = "选择项3", notBlank = false, maxLength = 100)
    private String option3;
    @ExcelSheetColumn(index = 7, colName = "选择项4", notBlank = false, maxLength = 100)
    private String option4;
    @ExcelSheetColumn(index = 8, colName = "选择项5", notBlank = false, maxLength = 100)
    private String option5;
    @ExcelSheetColumn(index = 9, colName = "选择项6", notBlank = false, maxLength = 100)
    private String option6;
    @ExcelSheetColumn(index = 10, colName = "选择项7", notBlank = false, maxLength = 100)
    private String option7;
    @ExcelSheetColumn(index = 11, colName = "选择项8", notBlank = false, maxLength = 100)
    private String option8;
    @ExcelSheetColumn(index = 12, colName = "选择项9", notBlank = false, maxLength = 100)
    private String option9;
    @ExcelSheetColumn(index = 13, colName = "选择项10", notBlank = false, maxLength = 100)
    private String option10;
//    @ExcelSheetColumn(index = 14, colName = "试题目录ID", notBlank = false, maxLength = 100)
//    private String directoryId;



}
