package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * @author jubs
 */
@Getter
@Setter
@TableName("tp_para_validation_elevator")
public class TpParaValidationElevator extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 电梯型号ID
     */
    private Long elevatorModelId;

    /**
     * 校验规则id
     */
    private Long paraValidationId;

    @TableField(exist = false)
    private String caseName;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

}
