package com.ruoyi.project.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 合同电梯生产令号序列号字段维护对象 tq_contract_lift_sn
 * 
 * @author ruoyi
 * @date 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class TqContractLiftSn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 序列号 */
    @Excel(name = "序列号")
    private String sn;

    /** 序列号录入日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "序列号录入日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date snEnterTime;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    /** 数据权限字符 */
    @Excel(name = "数据权限字符")
    private String permissionChar;
}
