package com.ruoyi.project.business.domain.bo.quotation;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import lombok.Data;

@Data
public class QuotationAddBO {

    private Long id;

    private Long quotationId;

    private Long projectId;

    private Long currencyId;

    private Long agentId;

    private Long areaId;

    //正常起始状态 1  草稿 0
    private String quotationStatus;

    private BigDecimal exchangeRate;

    private Boolean discountFlag;

    private BigDecimal agentDiscountRate;

    private BigDecimal countryDiscountRate;

    private List<ElevatorAddBO> elevatorList;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
