package com.ruoyi.project.business.domain.bo.quotation;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.web.page.PageDomain;
import java.util.Date;
import java.util.List;
import lombok.Data;

@Data
public class QuotationQueryBO extends PageDomain {

    private String quotationNo;

    private String projectName;

    private List<String> type;

    private List<String> segmentedMarket;

    private List<String> countryId;

    private List<Long> areaIdList;

    private String city;

    private List<Long> currencyId;

    private String elevatorModel;

    private String nickName;

    private List<String> quotationStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    private String permissionChar;

    //++++++++++查询子数据的时候用到 start
    private Boolean isGroupBy = true;

    private List<Long> excludeQuotationIdList;

    private List<String> quotationNoList;
    //++++++++++查询子数据的时候用到 end
    
    // 项目id 项目详情页查询报价列表时使用
    private Long projectId;

    private Long loginUserId;

    private String permission;

    private String tradeType;
    private String targetPort;
}
