package com.ruoyi.project.business.domain.vo.lead;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author fangk
 * @date 2024/4/23
 * @desc AllotReq 分配 req
 */
@Data
public class AllotReq {

    @NotNull
    private Long leadId;

    private String leadNo;

    private String status = "2";

    @NotNull
    private Long owner;

    //private Long ownerAgent;

    //这个update是为了并发排他注解工作
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    //private Long permissionChar;
    
    // 批量
    //private List<Long> leadIds;

    //@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //private List<Date> updateTimes;

}