package com.ruoyi.project.business.domain.vo.lead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @author FK
 * @date 2024/7/31 13:56
 * @desc TODO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Accessors(chain = true)
public class SilentOrInvalidReq {
    
    private Long leadId;
    
    private String remark;
    
    // jsr 303 校验只能取值 8、10
    @Pattern(regexp = "8|10", message = "Status must be either 8 or 10")
    private String status;

    private Date updateTime;
    
}

