package com.ruoyi.project.business.domain.vo.quotation;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

@Data
public class QuotationExportVO {

    // 报价编号
    private Long quotationId;

    // 报价编号
    private String quotationNo;

    // 项目名
    private String projectName;

    // 交付地址
    private String address;

    // 客户
    private String client;

    //邮箱
    private String email;

    // 币种
    private String currencyName;

    // 日期
    private Date submitDate;

    // 运费
    private BigDecimal freightPrice;

    // 最终价格
    private BigDecimal finalPrice;

    // 原始基价
    private BigDecimal originalBasicPrice;

    // 折后基价
    private BigDecimal basicPrice;

    // 选配价格
    private BigDecimal optionalPrice;

    // 币种汇率
    private BigDecimal exchangeRate;

    private String quotationVersion;
}
