package com.ruoyi.project.business.mapper;

import com.ruoyi.project.business.domain.TjCivilEngineering;
import com.ruoyi.project.business.domain.vo.Civil.CivilParam;
import com.ruoyi.project.business.domain.vo.Civil.EngineeringInfoVO;
import com.ruoyi.project.business.domain.vo.Civil.TjCivilEngineeringVo;
import com.ruoyi.project.business.domain.vo.selectParam.CivilEngineeringParam;
import java.util.List;

/**
 * 【土建出图】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
public interface TjCivilEngineeringMapper 
{

    /**
     * 查询【土建出图】
     *
     * @param id 【土建出图】主键
     * @return 【土建出图】
     */
    public EngineeringInfoVO selectTjCivilEngineeringById(Long id);

    /**
     * 查询【土建出图】列表
     * 
     * @param tjCivilEngineering 【土建出图】
     * @return 【土建出图】集合
     */
    public List<TjCivilEngineering> selectTjCivilEngineeringList(CivilEngineeringParam tjCivilEngineering);

    /**
     * 新增【土建出图】
     * 
     * @param tjCivilEngineering 【土建出图】
     * @return 结果
     */
    public int insertTjCivilEngineering(TjCivilEngineering tjCivilEngineering);

    /**
     * 修改【土建出图】
     * 
     * @param tjCivilEngineering 【土建出图】
     * @return 结果
     */
    public int updateTjCivilEngineering(TjCivilEngineering tjCivilEngineering);

    /**
     * 删除【土建出图】
     * 
     * @param id 【土建出图】主键
     * @return 结果
     */
    public int deleteTjCivilEngineeringById(Long id);

    /**
     * 批量删除【土建出图】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTjCivilEngineeringByIds(Long[] ids);

    List<TjCivilEngineeringVo> getOutList();

    int changeStatus(CivilParam tjCivilEngineering);
}
