package com.ruoyi.project.business.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TbAgentTarget;
import com.ruoyi.project.business.domain.vo.agent.AgentTargetReq;
import com.ruoyi.project.business.domain.vo.agent.AgentTargetRes;
import java.util.List;

/**
 * 代理商考核Service接口
 *
 * @author ruoyi
 * @date 2024-05-16
 */
public interface ITbAgentTargetService extends IService<TbAgentTarget> {

    /**
     * 查询代理商考核列表
     *
     * @param agentTargetReq 代理商考核
     * @return 代理商考核集合
     */
    List<AgentTargetRes> selectTbAgentTargetList(AgentTargetReq agentTargetReq, Boolean needPage);

    /**
     * 新增代理商考核
     */
    boolean add(TbAgentTarget tbAgentTarget);

    AgentTargetRes getInfoByQuery(AgentTargetReq agentTargetReq);

    void convertAmount(List<AgentTargetRes> list);
}
