package com.ruoyi.project.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * @author jubs
 */
@Getter
@Setter
@TableName("message_content_user")
public class MessageContentUser extends BaseEntity {
    /**
     * $column.columnComment
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 聊天记录id(message_chat_content)
     */
    private Long messageChatContentId;

    /**
     * 接收者用户id
     */
    private Long receiveUserId;

    /**
     * 读取状态，0：未读，1：已读
     */
    private String readStatus;

    /**
     * 删除标记
     */
    private String delFlag;
}
